# Exception::__toString

(PHP 5, PHP 7)

Exception::__toString — String representation of the exception

### Description

public Exception::__toString ( void ) : string

Returns the string representation of the exception.

### Parameters

This function has no parameters.

### Return Values

Returns the string representation of the exception.

### Examples

Example #1 Exception::__toString() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo $e;
}
?>`

The above example will output something similar to:

    exception 'Exception' with message 'Some error message' in /home/bjori/tmp/ex.php:3
    Stack trace:
    #0 {main}

### See Also

- Throwable::__toString() - Gets a string representation of the thrown object